; D_CUMUL_HIS.PRO  by  R. KRAMM  28-MAY-2001
; ==========================================
;
FUNCTION D_CUMUL_HIS, P, min_=min_, max_=max_
;
; ------------------------------------------------------------
;
MXA = LONG(MAX(P)) > 40000L
;
IF KEYWORD_SET(min_)  THEN  MN = min_  ELSE  MN = 0L
IF KEYWORD_SET(max_)  THEN  MX = max_  ELSE  MX = MXA
;
; ------------------------------------------------------------
;
HIS = HISTOGRAM(LONG(P), MIN=MN, MAX=MX)
;
FOR I = N_ELEMENTS(HIS)-2L,0,-1 DO HIS(I) = HIS(I) + HIS(I+1L)
;
; ------------------------------------------------------------
;
RETURN, HIS
END